xmltooling 3.2.4

Classes | Namespaces | Macros | Functions
PathValidator.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <vector>`
Include dependency graph for PathValidator.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | xmltooling::PathValidator
| Plugin interface to certificate path validation, independent of context. More...
class | xmltooling::PathValidator::PathValidatorParams
| Marker interface for plugin-specific parameters into the validation process. More...

## Namespaces
namespace | xmltooling
| Public namespace of XML Tooling library.

## Macros
#define | __xmltooling_pathval_h__
#define | PKIX_PATHVALIDATOR "PKIX"
| PathValidator based on PKIX.

## Functions
void XMLTOOL_API | xmltooling::registerPathValidators ()
| Registers PathValidator classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Plugin interface to certificate path validation.